#!/bin/bash
echo "DB INIT STARTED"

# Check if the database exists
db_exists=$( /opt/mssql-tools/bin/sqlcmd -S db -U SA -P $SA_PASSWORD -Q "SELECT db_id('JitbitHelpDesk')" -h -1 )
echo $db_exists

# If the database does not exist
if [[ "$db_exists" =~ "NULL" ]]
then
    echo "DB DOES NOT EXIST - CREATING"

    # Execute the sql scripts
    /opt/mssql-tools/bin/sqlcmd -S db -U SA -P $SA_PASSWORD -i /sql/CreateEmptyDB.sql -I
    /opt/mssql-tools/bin/sqlcmd -S db -U SA -P $SA_PASSWORD -i /sql/CreateTables.sql -I
else
    echo "DB EXISTS"
fi

echo "DB UPGRADE STARTED"
/opt/mssql-tools/bin/sqlcmd -S db -U SA -P $SA_PASSWORD -d JitbitHelpDesk -i /sql/UpgradeFromOlderVersions.sql
echo "DB UPGRADE FINISHED"

echo "DB INIT FINISHED"
